trigger: none
pr: none

resources:
    pipelines:
        - pipeline: buildPipeline
          source: "Build App BFF"
          trigger:
              branches:
                  include:
                      - main

pool:
    vmImage: ubuntu-latest

parameters:
    - name: containerTag
      displayName: Select tag to deploy
      type: string
      default: "latest"

variables:
    - name: containerTag
      value: ${{ parameters.containerTag }}

stages:
    - stage: Deploy_test
      variables:
          - group: "BFF test"
      jobs:
          - template: ./azure-pipelines.deploywebapptemplate.yml
            parameters:
                environment: test
                subscriptionId: 1a126a59-4703-4e36-ad7b-2503d36526c0
                containerTag: $(containerTag)
    # - stage: Deploy_prod
    #   variables:
    #     - group: 'BFF prod'
    #   jobs:
    #   - template: ./azure-pipelines.deploywebapptemplate.yml
    #     parameters:
    #       environment: prod
    #       subscriptionId: 1e6ef69e-8719-4924-a311-e66fe00399c7
    #       containerTag: $(containerTag)
